uniform sampler2D tex0;
uniform sampler2D tex1;
uniform sampler2D tex2;

uniform float Alpha;

varying vec2 TexCoord;

void main(void)
{
    float A = max(sin(Alpha), 0.0);
    vec3 textureColor0 = vec3(texture2D(tex0, TexCoord.st));
    vec3 textureColor1 = vec3(texture2D(tex1, TexCoord.st));
    vec3 textureColor2 = vec3(texture2D(tex2, TexCoord.st));
    
    vec3 color = 0.3 * textureColor2; // background
   	color += textureColor0 * A + textureColor1 * (1.0 - A);
   
    gl_FragColor = vec4 (color, 1.0);
}

